org.red5.io.mock

## Class Input

- java.lang.Object
- - org.red5.io.object.BaseInput
  - - org.red5.io.mock.Input

All Implemented Interfaces:
  Input

    public class Input
    extends BaseInput
    implements Input

### Field Summary

Fields
`protected int` `idx`
`protected List<Object>` `list`
`protected static org.slf4j.Logger` `log`

### Fields inherited from class org.red5.io.object.BaseInput

`refId, refMap`

### Constructor Summary

Constructors
Constructor and Description
`Input(List<Object> list)`

### Method Summary

Methods
`protected Object` `getNext()` Getter for property 'next'.
`String` `getString()` Read a string without the string type header.
`Object` `readArray(Deserializer deserializer, Type target)` Read an array.
`Boolean` `readBoolean(Type target)` Read Boolean value
`ByteArray` `readByteArray(Type target)` Read ByteArray object.
`Object` `readCustom(Type target)` Read custom object
`byte` `readDataType()` Read type of data
`Date` `readDate(Type target)` Read date object
`Map<String,Object>` `readKeyValues(Deserializer deserializer)` Read key - value pairs.
`Object` `readMap(Deserializer deserializer, Type target)` Read a map containing key - value pairs.
`Object` `readNull(Type target)` Read Null data type
`Number` `readNumber(Type target)` Read Number object
`Object` `readObject(Deserializer deserializer, Type target)` Read an object.
`Object` `readReference(Type target)` Read reference to Complex Data Type.
`String` `readString(Type target)` Read String object
`Vector<Integer>` `readVectorInt()` Read Vector<int> object.
`Vector<Double>` `readVectorNumber()` Read Vector<Number> object.
`Vector<Object>` `readVectorObject()` Read Vector
`Vector<Long>` `readVectorUInt()` Read Vector<uint> object.
`Document` `readXML(Type target)` Read XML document

### Methods inherited from class org.red5.io.object.BaseInput

`clearReferences, getReference, storeReference, storeReference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.red5.io.object.Input

`clearReferences`

### Field Detail

#### log

    protected static org.slf4j.Logger log

#### list

    protected List<Object> list

#### idx

    protected int idx

### Constructor Detail

#### Input

    public Input(List<Object> list)

### Method Detail

#### getNext

    protected Object getNext()

Getter for property 'next'.

Returns:
  Value for property 'next'.

#### readDataType

    public byte readDataType()

Read type of data

Specified by:
  `readDataType` in interface `Input`
Returns:
  Type of data as byte

#### readNull

    public Object readNull(Type target)

Read Null data type

Specified by:
  `readNull` in interface `Input`
Parameters:
  `target` - target type
Returns:
  Null datatype (AS)

#### readBoolean

    public Boolean readBoolean(Type target)

Read Boolean value

Specified by:
  `readBoolean` in interface `Input`
Parameters:
  `target` - target type
Returns:
  Boolean

#### readNumber

    public Number readNumber(Type target)

Read Number object

Specified by:
  `readNumber` in interface `Input`
Parameters:
  `target` - target type
Returns:
  Number

#### getString

    public String getString()

Read a string without the string type header.

Specified by:
  `getString` in interface `Input`
Returns:
  String

#### readString

    public String readString(Type target)

Read String object

Specified by:
  `readString` in interface `Input`
Parameters:
  `target` - target type
Returns:
  String

#### readDate

    public Date readDate(Type target)

Read date object

Specified by:
  `readDate` in interface `Input`
Parameters:
  `target` - target type
Returns:
  Date

#### readArray

    public Object readArray(Deserializer deserializer,
                   Type target)

Read an array. This can result in a List or Map being deserialized depending on the array type found.

Specified by:
  `readArray` in interface `Input`
Parameters:
  `deserializer` - deserializer
  `target` - target type
Returns:
  array

#### readMap

    public Object readMap(Deserializer deserializer,
                 Type target)

Read a map containing key - value pairs. This can result in a List or Map being deserialized depending on the map type found.

Specified by:
  `readMap` in interface `Input`
Parameters:
  `deserializer` - deserializer
  `target` - target type
Returns:
  Map

#### readKeyValues

    public Map<String,Object> readKeyValues(Deserializer deserializer)

Read key - value pairs. This is required for the RecordSet deserializer.

Specified by:
  `readKeyValues` in interface `Input`
Parameters:
  `deserializer` - deserializer
Returns:
  key-value pairs

#### readObject

    public Object readObject(Deserializer deserializer,
                    Type target)

Read an object.

Specified by:
  `readObject` in interface `Input`
Parameters:
  `deserializer` - deserializer
  `target` - target type
Returns:
  object

#### readXML

    public Document readXML(Type target)

Read XML document

Specified by:
  `readXML` in interface `Input`
Parameters:
  `target` - target type
Returns:
  XML DOM document

#### readCustom

    public Object readCustom(Type target)

Read custom object

Specified by:
  `readCustom` in interface `Input`
Parameters:
  `target` - target type
Returns:
  Custom object

#### readByteArray

    public ByteArray readByteArray(Type target)

Read ByteArray object.

Specified by:
  `readByteArray` in interface `Input`
Parameters:
  `target` - target type
Returns:
  ByteArray object

#### readVectorInt

    public Vector<Integer> readVectorInt()

Description copied from interface: `Input`
Read Vector<int> object.

Specified by:
  `readVectorInt` in interface `Input`
Returns:
  Vector<Integer>

#### readVectorUInt

    public Vector<Long> readVectorUInt()

Description copied from interface: `Input`
Read Vector<uint> object.

Specified by:
  `readVectorUInt` in interface `Input`
Returns:
  Vector<Long>

#### readVectorNumber

    public Vector<Double> readVectorNumber()

Description copied from interface: `Input`
Read Vector<Number> object.

Specified by:
  `readVectorNumber` in interface `Input`
Returns:
  Vector<Double>

#### readVectorObject

    public Vector<Object> readVectorObject()

Description copied from interface: `Input`
Read Vector

Specified by:
  `readVectorObject` in interface `Input`
Returns:
  Vector

#### readReference

    public Object readReference(Type target)

Read reference to Complex Data Type. Objects that are collaborators (properties) of other objects must be stored as references in map of id-reference pairs.

Specified by:
  `readReference` in interface `Input`
Parameters:
  `target` - target type
Returns:
  object